Bug 16774 - Format date on 'Transfers to receive' page to dateformat system preference
Summary: Format date on 'Transfers to receive' page to dateformat system preference
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-19 13:01 UTC by Katrin Fischer
Modified: 2017-12-07 22:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16774: Format date on 'Transfers to receive' page to dateformat system preference (2.53 KB, patch)
2016-06-19 17:12 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16774: Format date on 'Transfers to receive' page to dateformat system preference (2.62 KB, patch)
2016-06-20 16:51 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16774: Format date on 'Transfers to receive' page to dateformat system preference (2.66 KB, patch)
2016-06-24 15:42 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-06-19 13:01:32 UTC
The date shown in the heading of the 'transfers to receive' page is not formatted to the dateformat system preference.

Example:
Transfers made to your library as of 2016-06-19
Comment 1 Marc Véron 2016-06-19 17:12:02 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-06-20 16:51:53 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-06-24 15:42:30 UTC
Created attachment 52816 [details] [review]
Bug 16774: Format date on 'Transfers to receive' page to dateformat system preference

To test:
- Apply patch
- Go to Home > Circulation > Transfers to receive
- Verify that in title (Transfer made to your library as of...) is
  is formatted as defined in syspref dateformat

Additionaly, the patch changes page title and breadcrumb from:
Home > Circulation > Transfers to your library
to:
Home > Circulation > Transfers to receive
...to make them consistent with the link text on the Circulation home page
   (Transfers to receive)

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-07-08 13:05:03 UTC
Pushed to master for 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-08-01 13:26:30 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 14:55:10 UTC
Patch pushed to 3.22.x, will be in 3.22.10